#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.10
visibility:           public
id:                   servant-swagger-1.1.10-7oZ06QHWcnBG1FbfhJ5A2p
key:                  servant-swagger-1.1.10-7oZ06QHWcnBG1FbfhJ5A2p
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  a95f4df9694314502f35024b2b814318
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-8.10.4/site-local/servant-swagger-1.1.10
library-dirs:         /usr/lib/ghc-8.10.4/site-local/servant-swagger-1.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/servant-swagger-1.1.10
hs-libraries:         HSservant-swagger-1.1.10-7oZ06QHWcnBG1FbfhJ5A2p
depends:
    QuickCheck-2.14.2-5SjNJKKsajAoAy0kcEsoV
    aeson-1.5.6.0-KKLnIH6l1ju5f1LsAaB2FK
    aeson-pretty-0.8.8-9hRgTm9IdjtJ2Cj8KIa25f base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.12.0
    hspec-2.7.10-EVsgzZFrJOo3lBTi5Jm3Ou
    http-media-0.8.0.0-5ITL5sY0lt3I8fmpe3ZDK2
    insert-ordered-containers-0.2.4-AqGHFVFb9dAKkkLPZcUOzb
    lens-5.0.1-167i7l6rbiSBm4dtFYmwmy
    servant-0.18.2-FkGFhfsOOp9APaHBcWSuJY
    singleton-bool-0.1.6-BNHQ7GCQIi1CnZqsencDzG
    swagger2-2.6-9xYr2dxboOT6tf8g3bLy2 text-1.2.4.1
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

